#pragma once
#include "vsmt_base.h"
class VSMT_Load :
    public VSMT_Base {
public:
    VSMT_Load(int iID, const QString& sName);

    QDomElement WriteConfig(QDomDocument &doc, QDomElement &root) override;
    int ReadConfig(QDomElement &root) override;

    void init_Machine() override;
    void Serialize(QDataStream &stream, bool bwrite, int iVersion) override;

};

